<?php
/*
 *      This file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


?><php>echo '<'.'?xml version="1.0" encoding="UTF-8"?>'; </php>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/">
    <channel>

        <title><?php htmlspecialchars(convert($info['title']).' - '.convert($collec['title'])) ?></title>
        <link><?php echo URL_GCWEB ?></link>
        <description><?php echo htmlspecialchars(convert($info['description'])) ?></description>

        <?php
        // Chargement d'une partie de la base de donnée et mise en cache
        if (!isset($_GET['limit']))
            $limit = 20;
        else
            $limit = intval($_GET['limit']);


        if ($collec['filter'] == 'none')
            $itemsrss = bdd::filterSortSliceAndCache($collec['filter'],'idDSC',0,$limit,True); //pas de purge au cache
        else
            $itemsrss = bdd::filterSortSliceAndCache($collec['filter'],'idDSC',0,$limit,False); //purge au cache


        /*************** Debut de la boucle sur le items *********************/
        foreach ($itemsrss as $item) {
            ?>
            <item>
                <title><?php aff($item['title']) ?></title>
                <link><?php echo URL_GCWEB.hrefItem($item) ?></link>
                <guid isPermaLink="true"><?php echo URL_GCWEB.hrefItem($item) ?></guid>

                <description>
                    <?php echo htmlspecialchars('
                        <img style="float:right" src="'.URL_GCWEB.image($item['cover'],1000,120).'" />
                        <ul>
                            <li>'.__('Artiste').' : '.convert($item['artist']).'</li>
                            <li>'.__('Sortie').' : '.convert($item['release']).'</li>
                            <li>'.__('Durée').' : '.convert($item['running']).'</li>
                            <li>'.__('Origine').' : '.convert($item['origin']).'</li>
                            <li>'.__('Label').' : '.convert($item['label']).'</li>
                            <li>'.__('Compositeur').' : '.convert($item['composer']).'</li>
                            <li>'.__('Producteur').' : '.convert($item['producer']).'</li>
                            <li>'.__('Ajouté le').' : '.convert($item['added']).'</li>
                            <li>'.__('Commentaires').' : '.convert($item['comments']).'</li>
                        </ul>
                        <p>'.convert($item['tracks']).'</p>
                        '.join("\n", $item['array_add_to_all_pages']));?>
                </description><?php


                if (test($item['web'])) {
                    $explode = explode('##',$item['web'],2);
                    if (count($explode) == 2) {
                        $url = $explode[0];
                        $label = $explode[1];
                    } else {
                        $url = $explode[0];
                        $label = $explode[0];
                    }
                    echo '
                <source url="'.convert($url).'">'.convert($label).'</source>';
                }



                if (is_array($item['genre'])) {
                    foreach ($item['genre'] as $category) {
                        ?>
                        <category domain="<?php echo URL_GCWEB.'?collec='.$collec['id'].'&amp;model=list&amp;filter=genre=='.$category ?>">
                            <?php aff($category) ?>
                        </category>
                        <?php
                    }
                } else {
                        ?>
                        <category domain="<?php echo URL_GCWEB.'?collec='.$collec['id'].'&amp;model=list&amp;filter=genre=='.$item['genre'] ?>">
                            <?php aff($item['genre']) ?>
                        </category>
                        <?php
                }

                ?>
            </item>
            <?php
        } ?>
    </channel>
</rss>
~~ NOHEAD ~~
~~ NOFOOT ~~